<div class="container">
  <div class="row">
    <div class="col d-flex">
      <mat-card class="card-style mr-auto ml-auto" matRipple>
        <mat-card-header class="justify-content-center">
          <mat-card-title>Add race</mat-card-title>
          <mat-card-subtitle>for {{leagueViewService.selectedLeagueChanges.getValue().name}}</mat-card-subtitle>
        </mat-card-header>
        <mat-divider></mat-divider>
        <mat-card-content>
          <div *ngIf="!isLoading" class="d-flex justify-content-center">
            <form [formGroup]="createRaceForm">
              <mat-form-field>
                <mat-label>Set Racepositionindex</mat-label>
                <label>
                  <input
                    [placeholder]="(leagueViewService.selectedLeagueChanges.getValue().listOfRaceIds.length + 1).toString()"
                    formControlName="racePositionIndex"
                    matInput>
                </label>
              </mat-form-field>
              <br>
              <mat-checkbox formControlName="hasBeenDriven">Has been driven?</mat-checkbox>
              <br>
              <mat-form-field appearance="fill">
                <mat-label>Choose a date</mat-label>
                <input [matDatepicker]="picker" formControlName="raceDate" matInput>
                <mat-datepicker-toggle [for]="picker" matSuffix></mat-datepicker-toggle>
                <mat-datepicker #picker></mat-datepicker>
              </mat-form-field>
              <br>
              <mat-form-field>
                <mat-label>Select Circuit</mat-label>
                <mat-select formControlName="circuit">
                  <mat-option *ngFor="let circuit of getAllCircuits()" [value]="circuit">
                    {{circuit}}
                  </mat-option>
                </mat-select>
              </mat-form-field>
              <div class="text-center">
                <button (click)="addRaceToLeague()" color="accent" mat-raised-button>Add Race</button>
              </div>
            </form>
          </div>
          <div *ngIf="isLoading">
            <mat-progress-bar mode="indeterminate"></mat-progress-bar>
          </div>
        </mat-card-content>
      </mat-card>
    </div>
  </div>
</div>
